# Method: accounts.products.list

- [HTTP request](https://developers.google.com/manufacturers/reference/rest/v1/accounts.products/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/manufacturers/reference/rest/v1/accounts.products/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/manufacturers/reference/rest/v1/accounts.products/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/manufacturers/reference/rest/v1/accounts.products/list#body.request_body)
- [Response body](https://developers.google.com/manufacturers/reference/rest/v1/accounts.products/list#body.response_body)
  - [JSON representation](https://developers.google.com/manufacturers/reference/rest/v1/accounts.products/list#body.ListProductsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/manufacturers/reference/rest/v1/accounts.products/list#body.aspect)
- [Try it!](https://developers.google.com/manufacturers/reference/rest/v1/accounts.products/list#try-it)

Lists all the products in a Manufacturer Center account.

### HTTP request

`GET https://manufacturers.googleapis.com/v1/{parent=accounts/*}/products`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Parent ID in the format `accounts/{account_id}`. `account_id` - The ID of the Manufacturer Center account. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of product statuses to return in the response, used for paging. |
| `pageToken` | `string` The token returned by the previous request. |
| `include[]` | ``enum (`https://developers.google.com/manufacturers/reference/rest/v1/ProductSection`)`` The information to be included in the response. Only sections listed here will be returned. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "products": [ { object (`https://developers.google.com/manufacturers/reference/rest/v1/Product`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `products[]` | ``object (`https://developers.google.com/manufacturers/reference/rest/v1/Product`)`` List of the products. |
| `nextPageToken` | `string` The token for the retrieval of the next page of product statuses. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/manufacturercenter`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).